import lume from "lume/mod.ts";
import date from "lume/plugins/date.ts";
import feed from "lume/plugins/feed.ts";
import metas from "lume/plugins/metas.ts";
import nunjucks from "lume/plugins/nunjucks.ts";
import postcss from "lume/plugins/postcss.ts";
import relativeUrls from "lume/plugins/relative_urls.ts";
import tailwindcss from "lume/plugins/tailwindcss.ts";
import terser from "lume/plugins/terser.ts";

import tailwindConfig from "./tailwind.config.js";

const site = lume();

site.copy("images");

site.use(date());
site.use(feed({
  output: ["/feed.rss", "/feed.json"],
  info: {
    title: "=site.title",
    description: "=site.description",
  },
  items: {
    title: "=title",
    description: "=excerpt",
  },
  query: "type=post"
}));
site.use(metas());
site.use(nunjucks());
site.use(tailwindcss({
  options: tailwindConfig,
}));
site.use(postcss());
site.use(relativeUrls());
site.use(terser());

export default site;
